1. Range Management
Ludus API
  • Host Management
    • Retrieve the ludus version
      GET
    • Retrieve the ludus license
      GET
    • Diagnostics
      GET
    • Retrieve the Ludus OpenAPI specification
      GET
  • Ansible Management
    • Retrieve available subscription roles
    • Install subscription roles
    • Get role variables for one or more Ansible roles
    • Retrieve available Ansible roles and collections
    • Move or copy roles between global and local scopes
    • Install or Remove an Ansible role
    • Install an Ansible role from local directory
    • Install an Ansible collection
  • User Management
    • whoami
    • Get Default Range ID
    • Set Default Range ID
    • Get user group memberships
    • List user details
    • Add a user to the system
    • Remove a user from the system
    • Get proxmox creds for a user
    • Set the Ludus and Proxmox creds for the user
    • Reset and retrieve the Ludus API key for a user
    • List all users
    • Retrieve a WireGuard configuration file for a user
  • Range Management
    • VM Management
      • Destroy VM
    • List range VMs, power state, and testing state
      GET
    • Delete a range from the database and proxmox host
      DELETE
    • Stop the range deployment ansible process
      POST
    • Stop and delete all range VMs
      DELETE
    • List all tags available to use with deploy
      GET
    • List summary information for all ranges
      GET
    • Retrieve range configuration
      GET
    • Update the range configuration
      PUT
    • Retrieve an example range configuration
      GET
    • Deploy the range
      POST
    • Retrieve the latest range logs
      GET
    • Retrieve /etc/hosts file for the range
      GET
    • Retrieve a ssh config
      GET
    • Retrieve a zip file of RDP configs
      GET
    • Retrieve an ansible inventory
      GET
    • Create a new range
      POST
    • Assign a range to a user (admin only)
      POST
    • Revoke range access from a user (admin only)
      DELETE
    • List users with access to a range (admin only)
      GET
    • List ranges accessible to the user
      GET
    • List range deploy log history
      GET
    • Retrieve a specific range log history entry
      GET
    • Retrieve auto-shutdown configuration (enterprise)
      GET
    • Update auto-shutdown (enterprise)
      PUT
  • Power State Management
    • Power on range VMs
    • Power off range VMs
  • Testing State Management
    • Snapshot and enter testing state
    • Revert and exit testing state
    • Allow a domain
    • Deny a domain
    • Update a VM or group
  • Anti-Sandbox Management
    • Enable anti-sandbox for a VM or multiple VMs (enterprise)
    • Install the custom QEMU/OMVF packages
    • Install the standard QEMU/OMVF packages
  • Template Management
    • Retrieve a list of VM templates
    • Build templates
    • Install an Ansible role from local directory
    • Delete a template
    • Kill packer processes for user
    • Retrieve the latest packer logs
    • Get the status of packer builds
    • List template build log history
    • Retrieve a specific template log history entry
  • Snapshot Management
    • Get all snapshots for a range
    • Take a snapshot of a VM or multiple VMs
    • Roll back to a snapshot of a VM or multiple VMs
    • Delete a snapshot from a VM or multiple VMs
  • KMS Management
    • Setup the KMS VM and install the KMS server
    • License Windows VMs using the KMS server
  • Group Management
    • Create a new group
    • List all groups
    • Delete a group
    • List group members
    • Add users to group
    • Remove users from group
    • List group ranges
    • Add ranges to group
    • Remove ranges from group
  • Migration
    • SDN Migration Status
    • Migrate to SDN networking
    • Migrate SQLite to PocketBase
  • Virtual Consoles
    • Get Console Websocket Ticket
    • Connect to VM Console WebSocket
  • Blueprint Management
    • List accessible blueprints
    • Create blueprint from range
    • Delete blueprint
    • Copy blueprint
    • Apply blueprint to range
    • Get blueprint config
    • Update blueprint config
    • Share blueprint with groups
    • Unshare blueprint from groups
    • Share blueprint with users
    • Unshare blueprint from users
    • List blueprint access users
    • List blueprint access groups
  • Quota Management
    • Get quota status for the current user
    • Set quotas for one or more users (admin only)
    • Get quota status for all users (admin only)
    • Get system-wide default quotas (admin only)
    • Get default quotas for all groups (admin only)
    • Set default quotas for one or more groups (admin only)
  • Schemas
    • Group Management
    • Blueprint Management
    • BulkAddUsersToGroupRequest
    • userID
    • BlueprintListItem
    • BulkRemoveUsersFromGroupRequest
    • rangeID
    • CreateBlueprintFromRangeRequest
    • BulkAddRangesToGroupRequest
    • UserObject
    • CopyBlueprintRequest
    • BulkRemoveRangesFromGroupRequest
    • UserAPIKeyObject
    • ApplyBlueprintRequest
    • BulkGroupOperationResponse
    • UserCredentialObject
    • UpdateBlueprintConfigRequest
    • BulkGroupOperationErrorItem
    • RangeObject
    • UserMembershipObject
    • BulkShareBlueprintWithGroupsRequest
    • BlueprintAccessUserItem
    • BulkUnshareBlueprintWithGroupsRequest
    • BlueprintAccessGroupItem
    • VMObject
    • Domain
    • BulkShareBlueprintWithUsersRequest
    • IP
    • BulkUnshareBlueprintWithUsersRequest
    • AllowPayload
    • BulkBlueprintOperationErrorItem
    • SnapshotInfo
    • BulkBlueprintOperationResponse
    • BlueprintMutationResponse
    • ErrorInfo
    • SnapshotCreatePayload
    • LicenseDataObject
    • LogHistoryEntry
    • LogHistoryDetailResponse
  1. Range Management

Retrieve auto-shutdown configuration (enterprise)

Developing
Cloud Mock
https://mock.apidog.com/m1/1126461-0-default
Cloud Mock
https://mock.apidog.com/m1/1126461-0-default
GET
/range/auto-shutdown
Returns the current auto-shutdown timeout for the range, including the server-wide default, per-range override, and resolved effective value.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
Query Params

Responses

🟢200
application/json
successfully retrieved auto-shutdown configuration
Body

🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1126461-0-default/range/auto-shutdown?rangeID&userID' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "autoShutdownTimeout": {
        "serverDefault": "4h",
        "rangeOverride": "",
        "effective": "4h"
    }
}
Modified at 2026-04-27 15:10:03
Previous
Retrieve a specific range log history entry
Next
Update auto-shutdown (enterprise)
Built with